Nagios Core deployment on RHEL7 and supported versions

An open discussion forum for obtaining help with Nagios Core. Nagios Core users of all experience levels are welcome here. Subforum have been created for the discussion of Nagios Core and Nagios Plugin development.

NOTE: The SourceForge.net mailing lists have been deprecated in favor of this forum in order to expedite support and provide additional features not available on the old mailing list.

Nagios Core deployment on RHEL7 and supported versions

Postby prkngs » Fri Nov 30, 2018 5:20 am

Hi.

I am new to Nagios and have been tasked out to move my existing Nagios setup from current RHEL 6.x server to RHEL 7.x version. I will be deploying new RHEL 7 box and re-installing all the nagios components. My current Nagios version is 3.1.1 and plugin 1.4.x .

I am specifically looking for a support Matrix for Nagios where I can see the matrix for what version of Nagios is supported which RHEL version.
Can I install nagios-3.1.1 on RHEL 7.x , is it supported?
prkngs
 
Posts: 2
Joined: Fri Nov 30, 2018 4:57 am

Re: Nagios Core deployment on RHEL7 and supported versions

Postby npolovenko » Fri Nov 30, 2018 5:36 pm

Hello, @prkngs. Is there a particular reason why you want to install the old version of core? The most recent one is 4.4.1 and it will work on RHEL7. You can follow this installation manual and then import configs from the old Core over to the new one. https://support.nagios.com/kb/article/nagios-core-installing-nagios-core-from-source-96.html#RHEL

But to answer your question, Core 3.3.1 was released in 2011 and RHEL7 was released in 2014. RHEL7 wouldn't be in the supported OS list because it did not exist at that time.
As of May 25th, 2018, all communications with Nagios Enterprises and its employees are covered under our new Privacy Policy.
User avatar
npolovenko
Support Tech
 
Posts: 2492
Joined: Mon May 15, 2017 5:00 pm

Re: Nagios Core deployment on RHEL7 and supported versions

Postby prkngs » Tue Dec 04, 2018 11:51 am

Thanks for your response @npolovenko. The reason I asked this questions is because I am migrating servers to a new DC and for Nagios its going to be re-platform so I wanted to understand the supported versions on RHEL 7.x

My next question is between Nagios 3.3.1 and 4.4.1 is there any major change from config files point of view. Or I should be good if I install new version and copy all the config files?

Also I have NRPE and NSClient++ running the older versions .. I assume 4.4.1 will be compatible with them and I will not need agent upgrade , your thoughts please..

It would be really great to see some kind of compatibility Matrix where I can find this information at one place.
prkngs
 
Posts: 2
Joined: Fri Nov 30, 2018 4:57 am

Re: Nagios Core deployment on RHEL7 and supported versions

Postby npolovenko » Tue Dec 04, 2018 3:33 pm

@prkngs, All existing RHEL7.x releases up to 7.6 should work with Core 4.x.

There are not too many major config changes in Core 4.x. But you can take a look at the "Object Definitions" section of this article. https://assets.nagios.com/downloads/nagioscore/docs/nagioscore/4/en/whatsnew.html
Yes, you'd copy the configs from the old core server to the new core server using FTP or SCP. You can use FileZilla or WinSCP.

Core 4.4.1 uses the newer version of the check_nrpe plugin that defaults to version 3 plugins. Sometimes adding -2 to the check_nrpe command works to switch it to the old version of packets, but in some cases check_nrpe plugins needs to be recompiled to an older version. Either that or NSCLient agents are updated to the newer version.
As of May 25th, 2018, all communications with Nagios Enterprises and its employees are covered under our new Privacy Policy.
User avatar
npolovenko
Support Tech
 
Posts: 2492
Joined: Mon May 15, 2017 5:00 pm


Return to Nagios Core

Who is online

Users browsing this forum: Google [Bot], thembre, Zen and 17 guests